package egovframework.service.mapper;

import egovframework.rte.psl.dataaccess.mapper.Mapper;
import egovframework.vo.AdminVO;
import egovframework.vo.PopupVO;
import egovframework.vo.StatsVO;

import java.util.List;
import java.util.Map;

@Mapper
public interface AdminMapper {

	AdminVO getUser(String id);
	
	List<PopupVO> getPopupList(Map<String, Object> paramMap);
	
	void insertPopup(Map<String,Object> paramMap);
	
	void updatePopupUseYN(Map<String, Object> paramMap);
	
	void deletePopup(Map<String, Object> paramMap);
	
	void updatePopup(Map<String, Object> paramMap);
	
	Map<String, Object> checkPrePw(Map<String, Object> paramMap);
	
	void updatePw(Map<String, Object> paramMap);
	
	List<StatsVO> getHHStatus(Map<String,Object> paramMap);
	
	List<StatsVO> getMMStatus(Map<String,Object> paramMap);
	
	List<StatsVO> getDDStatus(Map<String, Object> paramMap);
	
	void adminLoginMake(Map<String, Object> paramMap);
	
	void adminLogoutMake(Map<String, Object> paramMap);

	Map<String, Object> getFailCount(Map<String, Object> paramMap);

	void setAcountLock(Map<String, Object> paramMap);

	void setFailCount(Map<String, Object> paramMap);
}
